function oData = set(oData,varargin)
% SET Set data properties and return the updated object

propertyArgIn = varargin;
while length(propertyArgIn) >= 2,
   prop = propertyArgIn{1};
   val = propertyArgIn{2};
   propertyArgIn = propertyArgIn(3:end);
   switch prop
            case 'ModelName'
                oData.ModelName = val;         
        
            case 'vk'
                oData.vk = val;
                
            case 'X'
                oData.X = val;
                
            case 'T'
                oData.T = val;
                
            case 'Date'
                oData.Date = val;
                
            case 'Output'
                oData.Output = val;
                
            case 'Legend'
                oData.Legend = val;                
            
            case 'Volume'
                oData.Volume = val;
                
            case 'Integrator'
                oData.IntegratorType = val;
   
            otherwise
                error('Data properties:T,X,ModelName,Legend,Output,vk,Volume,Date')
   end
end

